Package com.microblink.blinkid.fragment.overlay.blinkid.reticleui

# Class BlinkIdDialogOnboardingPresenter

java.lang.Object
com.microblink.blinkid.fragment.overlay.blinkid.reticleui.BlinkIdDialogOnboardingPresenter

All Implemented Interfaces:
  `OnboardingPresenter`

public class BlinkIdDialogOnboardingPresenter extends Object implements OnboardingPresenter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final AtomicBoolean`
  `introductionDialogShown`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlinkIdDialogOnboardingPresenter(BlinkIdOverlayController overlayController, OnboardingView onboardingView, long showTooltipTimeIntervalMs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `onFirstSideScanStarted()`
  `void`
  `overlayWindowClosed()`
  `void`
  `overlayWindowDisplayed()`
  `void`
  `overlayWindowRefused()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### introductionDialogShown

    public final AtomicBoolean introductionDialogShown

- ## Constructor Details

  - ### BlinkIdDialogOnboardingPresenter

    public BlinkIdDialogOnboardingPresenter(@NonNull BlinkIdOverlayController overlayController, @NonNull OnboardingView onboardingView, long showTooltipTimeIntervalMs)

- ## Method Details

  - ### overlayWindowDisplayed

    public void overlayWindowDisplayed()
    Specified by:
      `overlayWindowDisplayed` in interface `OnboardingPresenter`

  - ### onFirstSideScanStarted

    public void onFirstSideScanStarted()
    Specified by:
      `onFirstSideScanStarted` in interface `OnboardingPresenter`

  - ### overlayWindowClosed

    public void overlayWindowClosed()
    Specified by:
      `overlayWindowClosed` in interface `OnboardingPresenter`

  - ### overlayWindowRefused

    public void overlayWindowRefused()
    Specified by:
      `overlayWindowRefused` in interface `OnboardingPresenter`